libzypp 17.37.10

string.h File Reference
`#include <optional>`
`#include <zypp-core/base/String.h>`
`#include <boost/utility/string_view.hpp>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::str

## Enumerations
enum | zyppng::str::Trim
| To define how to trim. More...

## Functions
template<typename T>
std::optional< T > | zyppng::str::safe_strtonum (const std::string_view &val)
template<typename StrType, typename T = std::remove_reference_t<StrType>>
T | zyppng::str::trim (StrType &&s, const Trim trim_r)
template<class TOutputIterator>
void | zyppng::str::split (const boost::string_view &line_r, TOutputIterator result_r, const boost::string_view &sepchars_r=" \t", const Trim trim_r=Trim::NO_TRIM)
std::string | zyppng::strerror (int errno_r) ZYPP_API
| Return string describing the error_r code.